import { Dispatch, SetStateAction } from 'react';
import { Connection } from '../types/Connection';
import { ConnectionViewType } from '../types/ConnectionViewType';
import { SessionSettings } from '../types/Session';
interface Props {
    connection: Connection;
    setCurrentView: Dispatch<SetStateAction<ConnectionViewType | undefined | null>>;
    settings: SessionSettings;
}
declare const ConnectionForm: ({ connection, setCurrentView, settings }: Props) => JSX.Element | null;
export default ConnectionForm;
