import { Dispatch, SetStateAction } from 'react';
import { Connection } from '../types/Connection';
import { ConnectionViewType } from '../types/ConnectionViewType';
import { SessionSettings } from '../types/Session';
interface Props {
    onClose: () => void;
    onConnectionChange?: (connection: Connection) => any;
    onBack?: () => void;
    setShowSettings?: Dispatch<SetStateAction<boolean>>;
    setShowResources?: Dispatch<SetStateAction<boolean>>;
    hideOptions?: boolean;
    hideBackButton?: boolean;
    singleConnectionMode?: boolean;
    settings?: SessionSettings;
    setShowFieldMapping?: Dispatch<SetStateAction<boolean>>;
    currentView?: ConnectionViewType;
    setCurrentView?: Dispatch<SetStateAction<ConnectionViewType | undefined | null>>;
}
declare const TopBar: ({ onClose, onConnectionChange, onBack, hideOptions, hideBackButton, singleConnectionMode, settings, setCurrentView, currentView, }: Props) => JSX.Element | null;
export default TopBar;
