import { Connection } from '../types/Connection';
import { ConnectionViewType } from '../types/ConnectionViewType';
import { SessionSettings } from '../types/Session';
interface Props {
    onClose: () => void;
    onConnectionChange?: (connection: Connection) => any;
    settings: SessionSettings;
    showConsumer?: boolean;
    initialView?: ConnectionViewType;
    showLanguageSwitch?: boolean;
    autoStartAuthorization?: boolean;
}
declare const ConnectionDetails: ({ onClose, onConnectionChange, settings, showConsumer, initialView, showLanguageSwitch, autoStartAuthorization, }: Props) => JSX.Element | null;
export default ConnectionDetails;
