export interface OptionType {
    value: string;
    label: string;
}
interface SelectProps {
    field: string;
    placeholder: string;
    value?: string | string[] | readonly string[];
    handleChange: (event: any) => void;
    disabled?: boolean;
    options: OptionType[];
    className?: string;
    isMulti?: any;
    isCreatable?: boolean;
}
declare const SearchSelect: ({ field, placeholder, value, handleChange, disabled, options, className, isCreatable, ...rest }: SelectProps) => JSX.Element;
export default SearchSelect;
